Subject: Re: [PATCH v8 net-next 07/14] pds_core: add FW update feature to devlink

From: Jakub Kicinski <[email-masked]>
Date: Tue, 4 Apr 2023 07:48:26 -0700

On Sat, 1 Apr 2023 12:49:28 -0700 Shannon Nelson wrote:
> > My memory is hazy but I think you needed similar functionality in ionic
> > and deferred implementing proper uAPI for it? And now we have another
> > driver with the same problem?  
> 
> I don't believe we discussed bank selection for ionic, but did in a 
> follow up discussion from the original posting of this driver back in 
> November [1].  This expanded into a much large thing that no one has 
> gotten around to working on yet.  At this point we simply are installing 
> the new FW and waiting for a reboot to make it live, which I don't 
> remember causing any controversy in ionic.
> 
> In the ionic case, we did have a short discussion about nomenclature for 
> select and enable, and reworked the timeout status notification.  This 
> code uses those same methods.

Alright.

[sorry for late response, this verbose email got stuck in my outbox :S]